FROM l.gcr.io/google/bazel:3.1.0

# Setup Python 3.8
RUN add-apt-repository -y ppa:deadsnakes/ppa && \
    apt-get update && \
    apt-get -y install \
        python3.7 python3.7-dev \
        python3.8 python3.8-dev python3.8-distutils \
        python3-setuptools \
        git-crypt \
        build-essential zlib1g-dev libncurses5-dev libgdbm-dev libnss3-dev libssl-dev libreadline-dev libffi-dev libev-dev wget && \
    python3.7 -m easy_install pip && \
    python3.8 -m easy_install pip && \
    pip install detect-secrets

RUN unlink /usr/bin/python && \
    unlink /usr/bin/python3 && \
    ln -s /usr/bin/python3.7 /usr/bin/python && \   
    ln -s /usr/bin/python3.7 /usr/bin/python3 && \
    unlink /usr/local/bin/pip && \
    unlink /usr/local/bin/pip3 && \
    ln -s /usr/local/bin/pip3.7 /usr/local/bin/pip && \   
    ln -s /usr/local/bin/pip3.7 /usr/local/bin/pip3